classification
Title: zipimport argument clinic conversion
Type: enhancement Stage: resolved
Components: Argument Clinic, Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, jarondl, larry, serhiy.storchaka, twouters
Priority: normal Keywords:

Created on 2017-08-02 19:05 by jarondl, last changed 2017-08-19 17:09 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2990 merged jarondl, 2017-08-02 19:06
Messages (4)
msg299667 - (view) Author: Yaron de Leeuw (jarondl) * Date: 2017-08-02 19:05
Convert zipimport to use the argument clinic.
I will submit the PR shortly.
msg299687 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-08-03 07:07
If zipimport will be reimplemented in Python (issue25711) this change will be not needed.
msg299704 - (view) Author: Yaron de Leeuw (jarondl) * Date: 2017-08-03 13:03
Oh that's a cool idea which I was not aware of.
msg300524 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-08-18 18:41
New changeset 02f3b7d5ab2206d256879e5a8a34f560218ed397 by Brett Cannon (Yaron de Leeuw) in branch 'master':
bpo-31109: Convert zipimport to use Argument Clinic (GH-2990)
https://github.com/python/cpython/commit/02f3b7d5ab2206d256879e5a8a34f560218ed397
History
Date User Action Args
2017-08-19 17:09:39brett.cannonsetstatus: open -> closed
resolution: fixed
stage: resolved
2017-08-18 18:41:16brett.cannonsetnosy: + brett.cannon
messages: + msg300524
2017-08-03 13:03:44jarondlsetmessages: + msg299704
2017-08-03 07:07:51serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg299687
2017-08-02 19:06:15jarondlsetpull_requests: + pull_request3028
2017-08-02 19:05:24jarondlcreate